package eu.eudat.service.remotefetcher.config;


import eu.eudat.commons.enums.ReferenceTypeSourceType;
import eu.eudat.service.remotefetcher.config.entities.SourceBaseConfiguration;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;
import java.util.List;

public class UrlConfiguration implements SourceBaseConfiguration {

    private String key;
    private String label;
    private Integer ordinal;
    private ReferenceTypeSourceType type;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Integer getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(Integer ordinal) {
        this.ordinal = ordinal;
    }

    public ReferenceTypeSourceType getType() {
        return type;
    }

    public void setType(ReferenceTypeSourceType type) {
        this.type = type;
    }
}
