package eu.eudat.commons.types.descriptiontemplate.fielddata;

import eu.eudat.commons.enums.FieldDataExternalDatasetType;
import eu.eudat.commons.enums.FieldType;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import java.util.HashMap;
import java.util.Map;

@XmlAccessorType(XmlAccessType.FIELD)
public class ExternalDatasetDataEntity extends LabelAndMultiplicityDataEntity {
    public static final String XmlElementName = "externalDatasetsData";
    @XmlAttribute(name="type")
    private FieldDataExternalDatasetType type;

    public FieldDataExternalDatasetType getType() {
        return type;
    }

    public void setType(FieldDataExternalDatasetType type) {
        this.type = type;
    }
}
