package eu.eudat.model.builder.deposit;

public class DepositBuilderItemResponse<M, D>{
    private final M model;
    private final D data;

    public DepositBuilderItemResponse(M model, D data) {
        this.model = model;
        this.data = data;
    }

    public D getData() {
        return data;
    }

    public M getModel() {
        return model;
    }
}
