package eu.eudat.model.referencetypedefinition;

import eu.eudat.commons.enums.ReferenceTypeSourceType;

import java.util.List;


public abstract class ReferenceTypeSourceBaseConfiguration {

    public final static String _key = "key";
    private String key;

    public final static String _label = "label";
    private String label;

    public final static String _ordinal = "ordinal";
    private Integer ordinal;

    public final static String _type = "type";
    private ReferenceTypeSourceType type;

    public final static String _dependencies = "dependencies";
    private List<ReferenceTypeSourceBaseDependency> dependencies;

    public ReferenceTypeSourceType getType() {
        return type;
    }

    public void setType(ReferenceTypeSourceType type) {
        this.type = type;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Integer getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(Integer ordinal) {
        this.ordinal = ordinal;
    }

    public List<ReferenceTypeSourceBaseDependency> getDependencies() {
        return dependencies;
    }

    public void setDependencies(List<ReferenceTypeSourceBaseDependency> dependencies) {
        this.dependencies = dependencies;
    }
}
