package eu.eudat.service.remotefetcher.config;


import eu.eudat.service.remotefetcher.config.prefilling.PrefillingConfigMapAdapter;

import eu.eudat.service.remotefetcher.config.entities.*;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.io.Serializable;
import java.util.Map;

@XmlRootElement
public class ExternalUrls implements Serializable {

    private static final long serialVersionUID = -5076364662014107275L;

    Long maxresults;

    Map<String, PrefillingConfig> prefillings;

    public Long getMaxresults() {
        return maxresults;
    }

    @XmlElement(name = "maxresults")
    public void setMaxresults(Long maxresults) {
        this.maxresults = maxresults;
    }

    public Map<String, PrefillingConfig> getPrefillings() {
        return prefillings;
    }

    @XmlJavaTypeAdapter(PrefillingConfigMapAdapter.class)
    @XmlElement(name = "prefillings")
    public void setPrefillings(Map<String, PrefillingConfig> prefillings) {
        this.prefillings = prefillings;
    }
}


