package eu.eudat.service.remotefetcher.config.entities;

import eu.eudat.service.remotefetcher.criteria.FetchStrategy;
import eu.eudat.service.remotefetcher.config.UrlConfiguration;

import jakarta.xml.bind.annotation.XmlElement;
import java.util.ArrayList;
import java.util.List;

public class PrefillingSearch extends GenericUrls {
    private UrlConfiguration urlConfig;

    public UrlConfiguration getUrlConfig() {
        return urlConfig;
    }

    @XmlElement(name = "urlConfig")
    public void setUrlConfig(UrlConfiguration urlConfig) {
        this.urlConfig = urlConfig;
    }

    @Override
    public List<SourceBaseConfiguration> getUrls() {
        List<SourceBaseConfiguration> urls = new ArrayList<>();
        urls.add(urlConfig);
        return urls;
    }

    @Override
    public FetchStrategy getFetchMode() {
        return null;
    }
}
