DO $$DECLARE
   this_version CONSTANT varchar := '00.01.035';
BEGIN
   PERFORM * FROM "DBVersion" WHERE version = this_version;
   IF FOUND THEN RETURN; END IF;

  CREATE TABLE public."ntf_TenantConfiguration"
    (
        id uuid NOT NULL,
        tenant uuid NOT NULL,
        type smallint NOT NULL,
        value character varying COLLATE pg_catalog."default" NOT NULL,
        is_active smallint NOT NULL,
        created_at timestamp without time zone NOT NULL,
        updated_at timestamp without time zone NOT NULL,
        CONSTRAINT "ntf_TenantConfguration_pkey" PRIMARY KEY (id),
        CONSTRAINT "ntf_TenantConfiguration_tenant_fkey" FOREIGN KEY (tenant)
            REFERENCES public."Tenant" (id) MATCH SIMPLE
            ON UPDATE NO ACTION
            ON DELETE NO ACTION
    );

    INSERT INTO public."DBVersion" VALUES ('DMPDB', '00.01.035', '2023-12-05 12:00:00.000000+02', now(), 'Add table ntf_TenantConfiguration.');

END$$;